Bug 250496 - eHCA infiniband adapter works only for IPoIB
Summary: eHCA infiniband adapter works only for IPoIB
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.1
Hardware: powerpc
OS: Linux
urgent
urgent
Target Milestone: ---
: ---
Assignee: Doug Ledford
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On: 250144
Blocks: 250497
TreeView+ depends on / blocked
 
Reported: 2007-08-01 21:58 UTC by Scott Moser
Modified: 2018-10-19 23:16 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 19:57:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ib_ehca_user_space_support_for_rhel5.patch (3.51 KB, patch)
2007-08-01 21:58 UTC, Scott Moser
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0959 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5 Update 1 2007-11-08 00:47:37 UTC

Description Scott Moser 2007-08-01 21:58:45 UTC
Description of problem:

The eHCA driver has a problem with mapping userspace resources.  It's nicely
explained in the upstream git submission:
Some drivers have resources that they want to be able to map into
userspace that are 4k in size. On a kernel configured with 64k pages
we currently end up mapping the 4k we want plus another 60k of
physical address space, which could contain anything.  This can
introduce security problems, for example in the case of an infiniband
adaptor where the other 60k could contain registers that some other
program is using for its communications.

This is present in kernel-2.6.18-36.el5

Without these changes the eHEA driver will only function in IPoIB (IP over
Infiniband).  User space applications will fail to run (for example MPI). Its
primary value is thus not usable.

Comment 1 Scott Moser 2007-08-01 21:58:45 UTC
Created attachment 160469 [details]
ib_ehca_user_space_support_for_rhel5.patch

Comment 5 Don Zickus 2007-08-15 19:08:40 UTC
in 2.6.18-40.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 7 Issue Tracker 2007-08-28 18:55:43 UTC
----- Additional Comments From HNGUYEN@de.ibm.com  2007-08-28 13:04 EDT
-------
Downloaded snapshot3 dvd and installed it on our ppc64 system:
[root@idd60 ~]# uname -r
2.6.18-41.el5

Performed following tests:
- kernel space
  * flood ping, ifconfig down/up, rmmod/modprobe
- user space
  * ibv_ud/rc/uc_pingpong, reverse direction, parallel runs
  * ib_rdma/send/read/write_bw/lat

Thus, basically everything runs perfectly so far.
Just wondering if the dvd image above contains any mpi testsuite. If yes,
can
you (someone from RH) tell me the package name to install? I was able to 
install openmpi, but could not find any osu benchmark tests eg osu_bw.
Running such one mpi appl would stress user space much more than the user
space
tools above.
Thanks!
Nam 


This event sent from IssueTracker by jkachuck 
 issue 128280

Comment 9 errata-xmlrpc 2007-11-07 19:57:42 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html



Note You need to log in before you can comment on or make changes to this bug.